Subject: Re: bug#52245: Wishlist: cycle input methods

From: André A. Gomes <[email-masked]>
Date: Tue, 07 Dec 2021 15:57:55 +0000

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 02 Dec 2021 20:14:00 +0200, Eli Zaretskii <[email-masked]> said:
>
>     Eli> That's okay, but we should have this as an optional behavior, so that
>     Eli> people could still toggle only between some input method and no input
>     Eli> method with a single C-\, even if they defined a list of them.
>
> It would be optional: people who choose to customize
> default-input-method to a list get the behaviour, people who leave it
> as a symbol donʼt. I donʼt see why weʼd need to add
> yet-another-variable to essentially say "ignore this request you've
> made via this other variable".

If I understand correctly, we're not discussing variables but commands.
Eli urges that it's import to keep C-\ as a toggle, and to add another
command to cycle the ring.  Seems fair to me, so that the old behaviour
is preserved.

Let's continue the discussion since I find this feature valuable.

--
André A. Gomes
"Free Thought, Free World"